Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PageDefinition

    java.lang.Object
      com.bea.netuix.application.definition.PageDefinition

All Implemented Interfaces:
  NavigableDefinition, Serializable

public class PageDefinition
extends Object
implements NavigableDefinition, Serializable

This class represents a persistant page.

See Also:
  Serialized Form

Field Summary
`protected PageInstance` | `pageInstance`

Constructor Summary
`` | `PageDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, LayoutDefinitionId layoutDefinitionId, ThemeDefinitionId themeDefinitionId)` Constructors to create a new `PageDefinition` object.
`protected` | `PageDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, PageInstance pageInstance)` Constructor that takes a `PageInstance`.

Method Summary
`String` | `getDefinitionLabel()` Returns the definitionLabel associated with this page.
`String` | `getDescription()` Retrieves this page's localized description from it's `LocalizationResource`.
`LayoutDefinitionId` | `getLayoutDefinitionId()` Returns `LayoutDefinitionId` for menu associated with this `LayoutDefinition`
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this page.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `PageDefinition` based on the locale of the request used for retrieving the `PageDefinition`.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this page.
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns the `NavigableDefinitionId` associated with this page.
`PageDefinitionId` | `getPageDefinitionId()` Returns the `PageDefinitionId` for this page.
`PageInstanceId` | `getPrimaryInstanceId()` Returns the `BookInstanceId` for the primary page instance associated with this page.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` of theme associated with this `PageDefinition`.
`String` | `getTitle()` Retrieves this page's localized title from it's `LocalizationResource`.
`String` | `getWebAppName()` Returns the name of the J2EE web application this page is scoped to.
`boolean` | `isHidden()` Returns true if this page is configured to not be rendered.
`boolean` | `isPublic()` Returns whether this page is end-user created.
`void` | `setDefinitionLabel(String definitionLabel)` Sets the definitionLabel for this page.
`void` | `setHidden(boolean hidden)` Sets whether or not this page renders.
`void` | `setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)` Associates a layout with this page.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this page.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this page.
`void` | `setPublic(boolean _public)` Sets whether this page is end-user created.
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Associates a theme with this page.
`void` | `setWebAppName(String webAppName)` Scopes this page to specified J2EE web application
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pageInstance

    protected PageInstance pageInstance

Constructor Detail

### PageDefinition

    public PageDefinition(LocalizationResource localizationResource,
                          MarkupDefinitionId markupDefinitionId,
                          String definitionLabel,
                          boolean hidden,
                          boolean _public,
                          String webAppName,
                          LayoutDefinitionId layoutDefinitionId,
                          ThemeDefinitionId themeDefinitionId)

  Constructors to create a new `PageDefinition` object.

### PageDefinition

    protected PageDefinition(LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             String definitionLabel,
                             boolean hidden,
                             boolean _public,
                             String webAppName,
                             PageInstance pageInstance)

  Constructor that takes a `PageInstance`.

Method Detail

### getDefinitionLabel

    public String getDefinitionLabel()

  Returns the definitionLabel associated with this page.

  Specified by:
    `getDefinitionLabel` in interface `NavigableDefinition`
  Returns:
    definitionLabel for this page

### getDescription

    public String getDescription()

  Retrieves this page's localized description from it's `LocalizationResource`.

  Specified by:
    `getDescription` in interface `NavigableDefinition`
  Returns:
    localized description for this page

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

  Returns `LayoutDefinitionId` for menu associated with this `LayoutDefinition`

  Returns:
    `LayoutDefinitionId`

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this page. Returns `NULL` if no LocalizationResource is associated with this page. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns:
    `LocalizationIntersectionId` for this page

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `PageDefinition` based on the locale of the request used for retrieving the `PageDefinition`.

  Specified by:
    `getLocalizationResource` in interface `NavigableDefinition`
  Returns:
    `LocalizationResource` associated with this page

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this page.

  Returns:
    `MarkupDefinitionId`
  See Also:
    `MarkupDefinition`

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Returns the `NavigableDefinitionId` associated with this page. Returns `NULL` when the PageDefinition has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableDefinition`
  Returns:
    `NaviagableDefinitionId` associated with this page
  See Also:
    `NavigableDefinition`

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

  Returns the `PageDefinitionId` for this page. Returns `NULL` when the PageDefinition has not been retrieved by using the persistence API.

  Returns:
    `PageDefinitionId` for this page

### getPrimaryInstanceId

    public PageInstanceId getPrimaryInstanceId()

  Returns the `BookInstanceId` for the primary page instance associated with this page.

  Returns:
    BookInstanceId

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` of theme associated with this `PageDefinition`.

  Returns:
    `ThemeDefinitionId`

### getTitle

    public String getTitle()

  Retrieves this page's localized title from it's `LocalizationResource`.

  Specified by:
    `getTitle` in interface `NavigableDefinition`
  Returns:
    localized title for this page

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this page is scoped to.

  Specified by:
    `getWebAppName` in interface `NavigableDefinition`
  Returns:
    name of web application

### isHidden

    public boolean isHidden()

  Returns true if this page is configured to not be rendered.

  Specified by:
    `isHidden` in interface `NavigableDefinition`
  Returns:
    true if `PageDefinition` is hidden

### isPublic

    public boolean isPublic()

  Returns whether this page is end-user created.

  Returns:
    true if this page is end-user created.

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

  Sets the definitionLabel for this page.

  Parameters:
    `definitionLabel` -

### setHidden

    public void setHidden(boolean hidden)

  Sets whether or not this page renders.

  Parameters:
    `hidden` - configures this page to not render if set to true

### setLayoutDefinitionId

    public void setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)

  Associates a layout with this page.

  Parameters:
    `layoutDefinitionId` - of menu associated with this page

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this page.

  Parameters:
    `localizationResource` -

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this page.

  Parameters:
    `markupDefinitionId` -

### setPublic

    public void setPublic(boolean _public)

  Sets whether this page is end-user created.

  Parameters:
    `_public` -

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Associates a theme with this page.

  Parameters:
    `themeDefinitionId` - of theme associated with this page

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this page to specified J2EE web application

  Parameters:
    `webAppName` - name of the web application to scope this page to

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved